## ros-melodic-node-manager-fkie 0.8.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(node_manager_fkie)
find_package(catkin REQUIRED COMPONENTS diagnostic_msgs master_discovery_fkie multimaster_msgs_fkie)

catkin_python_setup()
catkin_package(CATKIN_DEPENDS diagnostic_msgs master_discovery_fkie multimaster_msgs_fkie)

# generate code for gRPC protocols
include(cmake/version.cmake)
generate_version()
include(cmake/build_launcher.cmake)
build_launcher()

install(
    PROGRAMS
        nodes/dynamic_reconfigure
        nodes/nm
        nodes/node_manager
        nodes/script_runner.py
        scripts/reduced_nm.py
        scripts/remote_nm.py
        scripts/respawn
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
    )

install(
    DIRECTORY
        images
        rqt_icons
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    )

install(
   FILES
        README.rst
        plugin.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)


install(
   FILES
        src/node_manager_fkie/EchoDialog.ui
        src/node_manager_fkie/GUI.qrc
        src/node_manager_fkie/LaunchFilesDockWidget.ui
        src/node_manager_fkie/LogDockWidget.ui
        src/node_manager_fkie/MainWindow.ui
        src/node_manager_fkie/MasterTab.ui
        src/node_manager_fkie/MessageFrame.ui
        src/node_manager_fkie/PasswordInput.ui
        src/node_manager_fkie/ProfileWidget.ui
        src/node_manager_fkie/SettingsDockWidget.ui
        src/node_manager_fkie/TimeInput.ui
   DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
)

install(
   FILES
        src/node_manager_fkie/editor/GraphDockWidget.ui
   DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}/editor/
)

if (DEFINED VERSION_FILES)
    install(
        FILES
            ${VERSION_FILES}
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
    )
endif()

if (EXISTS ${NODE_MANAGER_LAUNCHER})
    # Install the launcher file.
    install(CODE "set(NODE_MANAGER_LAUNCHER \"${NODE_MANAGER_LAUNCHER}\")")
    install(SCRIPT cmake/install_launcher.cmake)
endif()

=== debian/changelog ===
ros-melodic-node-manager-fkie (0.8.12-0bionic) bionic; urgency=high

  * fixed lost nodes while grouping
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Apr 2019 22:00:00 -0000

ros-melodic-node-manager-fkie (0.8.11-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-melodic-node-manager-fkie (0.8.10-0bionic) bionic; urgency=high

  * node_manager_fkie: exapand (nodes, topics, services) on filter
  * fixed build node_manager_fkie without .git repository issue #91 <https://github.com/fkie/multimaster_fkie/issues/91>
  * node_manager_fkie: fixed crash on show critical message dialog
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-melodic-node-manager-fkie (0.8.9-0bionic) bionic; urgency=high

  * fix install build
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 20 Dec 2018 23:00:00 -0000

ros-melodic-node-manager-fkie (0.8.8-0bionic) bionic; urgency=high

  * fixed install node_manager_fkie
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-melodic-node-manager-fkie (0.8.7-0bionic) bionic; urgency=high

  * node_manager_fkie: added version detection
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Dec 2018 23:00:00 -0000

ros-melodic-node-manager-fkie (0.8.5-0bionic) bionic; urgency=high

  * node_manager_fkie: removed install author warning
  * node_manager_fkie: fixed navigation in topic and service view
    do not open echo/call dialog on activate namespace group
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 10 Dec 2018 23:00:00 -0000

ros-melodic-node-manager-fkie (0.8.4-0bionic) bionic; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 07 Dec 2018 23:00:00 -0000

ros-melodic-node-manager-fkie (0.8.3-0bionic) bionic; urgency=high

  * node_manager_fkie: added: Augment CMake script to install node_manager launcher on Ubuntu. pull request #82 <https://github.com/fkie/multimaster_fkie/issues/82> from acschaefer/master
  * node_manager_fkie: added parameter to disable namespace groups
  * node_manager_fkie: editor: improved seletion of node definition by moving selected text to top
  * node_manager_fkie: new: apply enhancement to organize nodes view by namespaces, see issue #83 <https://github.com/fkie/multimaster_fkie/issues/83>
  * node_manager_fkie: fixed copy paste error
  * node_manager_fkie: changed highlighting for groups and nodes
  * node_manager_fkie: editor: fixed uncomment of -- statements
  * node_manager_fkie: added launch file to test namespace grouping.
  * node_manager_fkie: fix namespace view
  * node_manager_fkie: fixed topic publish dialog for messages with arrays
  * node_manager_fkie: fix crash while start master_discovery with master_sync on
  * node_manager_fkie: fixed add new parameter in parameter dialog
  * node_manager_fkie: added parameter for timeout to close closing dialog
  * Contributors: Alexander Schaefer, Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 06 Dec 2018 23:00:00 -0000

ros-melodic-node-manager-fkie (0.8.2-0bionic) bionic; urgency=high

  * fixed issue #79 <https://github.com/fkie/multimaster_fkie/issues/79>
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 09 Aug 2018 22:00:00 -0000

ros-melodic-node-manager-fkie (0.8.1-0bionic) bionic; urgency=high

  * node_manager_fkie: changed behaviour on question to reload files and display noscreen errors
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-melodic-node-manager-fkie (0.8.0-0bionic) bionic; urgency=high

  * node_manager_fkie: added warning if while remote start no executable was found
    rosrun throws no error if no executable was found it is only an output.
  * node_manager_fkie: fixed activation of minimized launch editor
  * node_manager_fkie: added settings parameter 'movable dock widgets' to prevent dock widgets from moving
  * node_manager_fkie: fixed error in select_dialog on close node_manager
  * node_manager_fkie: added group icon with count of nodes inside
  * node_manager_fkie: added info icons for groups
  * node_manager_fkie: added timer to close exit dialog on close node_manager
  * node_manager_fkie: fixed delay open io screen
  * node_manager_fkie: use priority queue for sreen io only if normal queue has more than 5 elements
  * node_manager_fkie: reduced update count
  * node_manager_fkie: changed color of question box
  * node_manager_fkie: added link for nodelet manager in description of nodelets
  * node_manager_fkie: add an option to disable the question dialog while restart nodelets
  * node_manager_fkie: changed background of question dialog to non transparent
  * node_manager_fkie: changed question dialog for launch and transfer files
  * changed visualization for available configurations, added visualisation for nodelets
    changed qestion dialog on changes of launch files and restart of
    nodelets
  * node_manager_fkie: fixed trasfer of wrong files on change to remote hosts
  * node_manager_fkie: editor: fix recursive search
  * node_manager_fkie: fixed crash on call of an unknown service
  * node_manager_fkie: fix administratively prohibited error while delete logs
    This error occurs while delete more than 10 logs on remote host
  * node_manager_fkie: resolve pkg:// in all arguments
  * node_manager_fkie: fix crash while assigne color
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 15 Jul 2018 22:00:00 -0000

ros-melodic-node-manager-fkie (0.7.8-0bionic) bionic; urgency=high

  * Fix catkin_lint warnings


=== debian/control ===
Source: ros-melodic-node-manager-fkie
Section: misc
Priority: extra
Maintainer: Alexander Tiderko <alexander.tiderko@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-master-discovery-fkie, ros-melodic-multimaster-msgs-fkie
Homepage: http://ros.org/wiki/node_manager_fkie
Standards-Version: 3.9.2

Package: ros-melodic-node-manager-fkie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-docutils, python-paramiko, ros-melodic-default-cfg-fkie, ros-melodic-diagnostic-msgs, ros-melodic-dynamic-reconfigure, ros-melodic-master-discovery-fkie, ros-melodic-master-sync-fkie, ros-melodic-multimaster-msgs-fkie, ros-melodic-python-qt-binding, ros-melodic-rosgraph, ros-melodic-roslaunch, ros-melodic-roslib, ros-melodic-rosmsg, ros-melodic-rospy, ros-melodic-rosservice, ros-melodic-rqt-gui, ros-melodic-rqt-reconfigure, screen, xterm
Description: Graphical interface, written in PySide, to manage the running and configured ROS nodes on different hosts.
 For discovering the running ROS master master_discovery node will be used.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-node-manager-fkie//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
